shader
{
	code= "
		uniform sampler2D	texture;
		uniform sampler2D	normalTexture;

		varying vec3		normal;
		varying vec3		tangent;
		varying vec3		binormal;

		void main()
		{
			//Read the normal from the normal map and transform it to world space.
			vec3 bumpNormal = texture2D(normalTexture, gl_TexCoord[0].st).xyz * 2.0 - 1.0;
			vec3 worldSpaceNormal = bumpNormal *  mat3(-tangent, -binormal, -normal);

			//Read the opacity.
			float opacity = texture2D(texture, gl_TexCoord[0].st).r;

			vec3 bright1 = 4.0 * max(-worldSpaceNormal.y, 0.0);
			
			
			gl_FragColor = vec4(bright1 * opacity, 1);
		}
	"
}