shader{

	code= "
		varying vec3		direction;

		void main(){		
		
			//Clamp the sampling direction to the upper hemisphere and normalize it.
			direction.y = max(direction.y, 0.0);
			direction = normalize(direction);

			vec3 skyColor= sampleSkyMap(direction);

			//Calculate the opacity based on the amount of sky color;
			float opacity = min(length(skyColor), 1.0);

			gl_FragColor= vec4(skyColor, opacity);
		}
	"
	
	includes{
		file= resources/shaders/engine/atmosphere/skyLighting/skyMapRead.sh
	}
}