shader{

	code= "
	
	uniform sampler2D	colorTexture;
	uniform sampler2D	positionTexture;
	uniform sampler2D	normalTexture;
	

	void main(){

		vec3 color= texture2D(colorTexture, gl_TexCoord[0].st).rgb;
		vec3 position= texture2D(positionTexture, gl_TexCoord[0].st).xyz;
		vec3 normal= texture2D(normalTexture, gl_TexCoord[0].st).xyz;
		
		vec3 lighting= sampleSkyLightingVolume(position, normal);

		gl_FragColor= vec4(color*lighting, 0.0);
	}
	"

	includes{
		file= resources/shaders/engine/atmosphere/skyLighting/skyLightingVolumeRead.sh
	}
	
	semantics{
		colorTexture= GBUFFER_COLOR_TEXTURE
		positionTexture= GBUFFER_POSITION_TEXTURE
		normalTexture= GBUFFER_NORMAL_TEXTURE
	}
}