shader{

	code= "

	uniform mat4	decalTransformMatrix;

	varying vec3	projectionDirection;
	varying vec3	tangent;
	varying vec3	binormal;

	void main(){
		gl_Position= ftransform();

		projectionDirection = mat3(decalTransformMatrix) * vec3(0, 0, 1);
		tangent = mat3(decalTransformMatrix) * vec3(1, 0, 0);
		binormal = mat3(decalTransformMatrix) * vec3(0, -1, 0);

		//Use the projected position as the screen space texture coordinates.
		gl_TexCoord[0] = gl_Position;	
	}
	"

	semantics{
		decalTransformMatrix= DEFERRED_DECAL_TRANSFORM_MATRIX
	}
}