shader{

	code= "
	uniform sampler2D	lightMaskTexture;

	void main(){
		
		gl_TexCoord[0] /= gl_TexCoord[0].w;
		gl_TexCoord[0]= gl_TexCoord[0] * 0.5 + 0.5;

		vec3 color = getColor(gl_TexCoord[0].st);
		float specularMultiplier = getSpecularMultiplier(gl_TexCoord[0].st);
		vec4 normalAndSpecularRoughness= getNormalAndSpecularRoughness(gl_TexCoord[0].st);

		vec3 position = reconstructPositionFromDepth(gl_TexCoord[0].st);
		float shadow = texture2D(lightMaskTexture, gl_TexCoord[0].xy).x;
		vec3 lighting = getPointLighting(color, position, normalAndSpecularRoughness.xyz, cameraPosition, specularMultiplier, normalAndSpecularRoughness.w);

		gl_FragColor = vec4(lighting * shadow, 1);
	}
	"
	
	includes{
		file= resources/shaders/engine/deferredRendering/gBuffer/gBufferRead.sh
		file= resources/shaders/engine/deferredRendering/pointLighting.sh
	}
	
	semantics{
		lightMaskTexture= LIGHT_MASK_TEXTURE
	}
}