shader{

	code= "
	uniform sampler2D	colorTexture;
	uniform sampler2D	positionTexture;
	uniform sampler2D	normalTexture;
	uniform sampler2D	lightMaskTexture;
	uniform vec3		cameraPosition;
	
	void main(){
		
		vec3 color= texture2D(colorTexture, gl_TexCoord[0].st).rgb;
		vec3 position= texture2D(positionTexture, gl_TexCoord[0].st).xyz;
		vec3 normal= texture2D(normalTexture, gl_TexCoord[0].st).xyz;
		float shadow = texture2D(lightMaskTexture, gl_TexCoord[0].st).x;
		
		vec3 lighting = getPointLighting(color, position, normal, cameraPosition, 0.0, 0.0);

		gl_FragColor= vec4(lighting * shadow, 1.0);
	}
	"

	includes{
		file= resources/shaders/engine/deferredRendering/pointLighting.sh
	}

	semantics{
		colorTexture= GBUFFER_COLOR_TEXTURE
		positionTexture= GBUFFER_POSITION_TEXTURE
		normalTexture= GBUFFER_NORMAL_TEXTURE
		lightMaskTexture= RAYTRACING_LIGHT_MASK_TEXTURE
		cameraPosition = CAMERA_POSITION
	}
}