shader{

	code= "	
	uniform sampler2D	propagationTexture0;
	uniform sampler2D	propagationTexture1;
	uniform sampler2D	propagationTexture2;
	uniform sampler2D	propagationTexture3;

	void main(){
		
		//Read from the propagation step volume texture.
		SH result;
		result.L00= texture2D(propagationTexture0, gl_TexCoord[0].xy).xyz;
		result.L1m1= texture2D(propagationTexture1, gl_TexCoord[0].xy).xyz;
		result.L10= texture2D(propagationTexture2, gl_TexCoord[0].xy).xyz;
		result.L11= texture2D(propagationTexture3, gl_TexCoord[0].xy).xyz;
		
		//And send the data down the pipeline to be accumulated.
		gl_FragData[0]= vec4(result.L00, 0.0);
		gl_FragData[1]= vec4(result.L1m1, 0.0);
		gl_FragData[2]= vec4(result.L10, 0.0);
		gl_FragData[3]= vec4(result.L11, 0.0);
	}
	"
	
	includes{
		file= resources/shaders/engine/lightPropagationVolumes/sphericalHarmonics.sh
	}
	
	semantics{
		propagationTexture0= LIGHT_PROPAGATION_VOLUME_TEXTURE0
		propagationTexture1= LIGHT_PROPAGATION_VOLUME_TEXTURE1
		propagationTexture2= LIGHT_PROPAGATION_VOLUME_TEXTURE2
		propagationTexture3= LIGHT_PROPAGATION_VOLUME_TEXTURE3
	}
}