shader{

	code= "
	varying vec3 lightColor;
	varying vec3 lightDirection;
	
	void main()
	{	
		//Calculate the Spherical Harmonics coefficients.
		SH sh = createLightLobeSH(lightColor, lightDirection);
	
		gl_FragData[0] = vec4(sh.L00, 0.0);
		gl_FragData[1] = vec4(sh.L1m1, 0.0);
		gl_FragData[2] = vec4(sh.L10, 0.0);
		gl_FragData[3] = vec4(sh.L11, 0.0);
	}
	"
	
	includes
	{
		file = resources/shaders/engine/lightPropagationVolumes/sphericalHarmonics.sh
	}
}