shader{

	code= "
	uniform sampler2D	colorTexture;
	uniform sampler2D	normalTexture;
	
	varying mat3		tangentSpaceMatrix;
	
	void main(){
	
		//Color.
		vec3 color= texture2D(colorTexture, gl_TexCoord[0].st).rgb;

		//Normal.
		vec3 normal= texture2D(normalTexture, gl_TexCoord[0].st).xyz*2.0- 1.0;		
		normal= normalize(normal*transpose(tangentSpaceMatrix));

		//Lighting.
		vec3 directLighting= getSunLightingNoSpecular(color, normal);

		gl_FragData[0]= vec4(directLighting, 1.0);
		gl_FragData[1]= vec4(normal, 1.0);
		
	}"

	includes{
		file= resources/shaders/engine/deferredRendering/sunLighting.sh
	}

	semantics{
		colorTexture= MATERIAL_COLOR_TEXTURE
		normalTexture= MATERIAL_NORMAL_TEXTURE
	}
}