shader{

	code= "

	uniform mat4	objectMatrix;
	
	attribute vec3	normal;
	attribute vec3	tangent;
	attribute vec3	binormal;
	
	varying mat3	tangentSpaceMatrix;
	
	void main(){

		gl_TexCoord[0]= gl_MultiTexCoord0;
		tangentSpaceMatrix= mat3(objectMatrix)*mat3(tangent, binormal, normal);		

		gl_Position= ftransform();
	}
	"
	
	semantics{
		objectMatrix= OBJECT_TRANSFORM_MATRIX
		normal= VERTEX_NORMAL
		tangent= VERTEX_TANGENT
		binormal= VERTEX_BINORMAL
	}
}