shader
{
	code= "
	#extension GL_EXT_geometry_shader4 : enable

	
	
	uniform float		viewportWidth;
	uniform float		viewportHeight;

	varying out vec3	color;

	void main()
	{
		//The radius is received on the alpha component of the color.
		float radius = gl_FrontColorIn[0].a;

		//Expand the point into a quad with a size equal to the circle of confusion radius.
		float viewportRatio = viewportHeight / viewportWidth;

		//First point.
		gl_Position = gl_ModelViewProjectionMatrix * (gl_PositionIn[0] + vec4(-radius * viewportRatio, -radius, 0, 0));
		gl_TexCoord[0] = vec4(0, 0, 0, 0);
		color = gl_FrontColorIn[0].rgb;
		EmitVertex();

		//Second point.
		gl_Position = gl_ModelViewProjectionMatrix * (gl_PositionIn[0] + vec4( radius * viewportRatio, -radius, 0, 0));
		gl_TexCoord[0] = vec4(1, 0, 0, 0);
		color = gl_FrontColorIn[0].rgb;
		EmitVertex();

		//Third point.
		gl_Position = gl_ModelViewProjectionMatrix * (gl_PositionIn[0] + vec4(-radius * viewportRatio,  radius, 0, 0));
		gl_TexCoord[0] = vec4(0, 1, 0, 0);
		color = gl_FrontColorIn[0].rgb;
		EmitVertex();

		//Fourth point.
		gl_Position = gl_ModelViewProjectionMatrix * (gl_PositionIn[0] + vec4( radius * viewportRatio,  radius, 0, 0));
		gl_TexCoord[0] = vec4(1, 1, 0, 0);
		color = gl_FrontColorIn[0].rgb;
		EmitVertex();
	}
	"

	semantics
	{
		viewportWidth = VIEWPORT_WIDTH
		viewportHeight = VIEWPORT_HEIGHT
	}
}