shader
{
	code= "
	#version 430

	struct EyeFocalAdaptationState
	{
		float circleOfConfusionMultiplier;
		float currentFocalPointDepth;
		bool isContracting;
	};

	layout (std140, binding = 0) buffer						EyeFocalAdaptationStateBuffer
	{
		EyeFocalAdaptationState eyeFocalAdaptationState;
	};

	in vec3		vertexPosition;
	out vec2	texCoord;
	out float	circleOfConfusionMultiplier;
	out float	focalPointDepth;

	void main()
	{
		gl_Position = vec4(vertexPosition * 2.0 - 1.0, 1.0); 
		texCoord = vertexPosition.xy;
		circleOfConfusionMultiplier = eyeFocalAdaptationState.circleOfConfusionMultiplier;
		focalPointDepth = eyeFocalAdaptationState.currentFocalPointDepth;
	}
	"

	semantics
	{
		vertexPosition = VERTEX_POSITION
	}
}