shader{

	code= "

	uniform vec3	sunLightDirection;
	uniform mat4	objectMatrix;
	
	attribute vec3	normal;
	attribute vec3	tangent;
	attribute vec3	binormal;
	
	varying vec3	lightVector;
	
	void main(){
		lightMaskVertex();
		gl_TexCoord[0]= gl_MultiTexCoord0;
		lightVector= -sunLightDirection*(mat3(objectMatrix)*mat3(tangent, binormal, normal));		
		gl_Position= ftransform();
	}
	"
	
	includes{
		file= resources/shaders/lightMaskSampleVertex.shader
	}
	
	semantics{
		sunLightDirection= SUN_LIGHT_DIRECTION
		objectMatrix= OBJECT_TRANSFORM_MATRIX
		normal= VERTEX_NORMAL
		tangent= VERTEX_TANGENT
		binormal= VERTEX_BINORMAL
	}
}