shader{

	code= "
	uniform mat4	objectMatrix;

	attribute vec3	vertexNormal;
	attribute vec2	vertexTexCoord;

	varying vec3	normal;
	varying vec3	position;
			
	void main(){

		const mat4 offsetMatrix= mat4(	0.5, 0.0, 0.0, 0.5, 
										0.0, 0.5, 0.0, 0.5, 
										0.0, 0.0, 0.5, 0.5, 
										0.0, 0.0, 0.0, 1.0);

		normal= mat3(objectMatrix)*vertexNormal;
		position= (objectMatrix*gl_Vertex).xyz;

		gl_Position= ftransform();
		gl_TexCoord[0]= gl_MultiTexCoord0;
		gl_TexCoord[1]= gl_Position*offsetMatrix;
	}
	"
	
	semantics{
		objectMatrix= OBJECT_TRANSFORM_MATRIX
		vertexNormal= VERTEX_NORMAL
	}
